GET
/accounts/{accountId}/balance-historyGet account balance history
Get account balance history
Parameters
| Name | In | Type | Description |
|---|---|---|---|
accountIdrequired | path | string uuid | Account UUID |
start_date | query | string date | Start date for history |
end_date | query | string date | End date for history |
Responses
200Balance history retrieved successfully
{
"success": true,
"data": {
"account": {},
"period": {},
"history": [
{}
],
"ending_balance": 0
}
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 404Account not found
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/accounts/{accountId}/balance-history \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret" use Ledga\Api\LedgaClient;
$ledga = new LedgaClient('sk_xxxxxxxx_your_secret');
$history = $ledga->accounts->getBalanceHistory('01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a', [
'start_date' => '2026-01-01',
'end_date' => '2026-01-31',
]);